blog

Créez une commande secondaire AutoCAD personnalisée pour travailler plus rapidement

Hai Le a partagé quelques astuces intéressantes sur l’utilisation des macros dans AutoCAD. Il montre que la personnalisation n’a pas à être complexe.

Vérifiez quelques vieux conseils qu’il m’a partagé avant:

  • Restaurez les calques et les styles standard d’AutoCAD.
  • Espacement automatique des cotes par double clic.
  • Plus de conseils sur les macros pour changer le SCU et le calque de texte.
  • La macro est très utile, mais vous êtes limité à l’utiliser dans CUI. Vous pouvez accéder aux macros dans la barre d’outils, le ruban, le double clic ou les palettes d’outils. Mais si vous souhaitez utiliser la ligne de commande, vous devez utiliser AutoLISP.

    utilisateur d'ordinateur heureux

    Tout comme la macro, la personnalisation n’a pas besoin d’être complexe. Voici quelques idées de commandes secondaires de Hai Le.

    Commandes secondaires

    Les commandes AutoCAD ont de nombreux paramètres que vous pouvez modifier dans la ligne de commande lorsque la commande est en cours d’exécution. Si vous modifiez souvent les paramètres lorsque vous utilisez une commande particulière, ce serait une bonne idée de créer une commande secondaire. Vous trouverez ci-dessous deux idées que vous pouvez utiliser comme commandes secondaires.

    O pour OFFSET, OO pour OFFSET vers le calque courant

    Par défaut, la commande AutoCAD Offset créera un résultat sur le même calque que l’objet d’origine. Vous pouvez changer le calque en calque courant en modifiant le paramètre lorsque la commande de décalage est active. Ce serait plus rapide si vous tapiez OO pour créer le résultat sur le calque courant, n’est-ce pas ?

    Vous pouvez certainement utiliser OC comme commande. Mais l’idée des commandes secondaires ici est d’avoir rapidement des options pour les commandes disponibles. C’est beaucoup plus rapide de taper OO que OC, non ?

    A lire :  Attribution des avantages du cloud multi-utilisateurs Autodesk

    Consultez ce premier didacticiel AutoLISP : Zoomez sur l’origine. Le didacticiel vous donnera une idée de la façon dont vous pouvez créer une personnalisation simple en créant un programme LISP.

    Semblable à ce qui est décrit dans ce didacticiel, vous pouvez créer un programme similaire pour effectuer un décalage vers le calque actuel avec ce code :

    (defun c:OO (/ )

    (commande « _OFFSET » « L » « C »)

    )

    Vous pouvez créer un autre LISP pour créer un objet sur le même calque que l’objet source comme ceci :

    (defun c:OOO (/ )

    (commande « _OFFSET » « L » « S »)

    )

    Bien sûr, vous pouvez utiliser une autre commande que OOO si vous le souhaitez.

    M pour MOVE, MM pour MOVE objets sélectionnés précédents

    Une autre idée est de créer une commande personnalisée pour déplacer des objets précédemment sélectionnés. Voici le code :

    (defun c:MM (/ )

    (commande « _MOVE » « P »)

    )

    Au lieu de taper M enter puis P enter, vous pouvez taper MM puis enter.

    Vous pouvez télécharger le code LISP ci-dessus ici. Si vous ne savez pas comment charger le programme AutoLISP, lisez-le ici.

    Avez-vous une idée sur d’autres commandes secondaires?

    Si vous aimez l’idée de créer des commandes secondaires, vous avez peut-être des idées pour créer une commande que vous utilisez souvent. Avez-vous une idée à partager avec nous? Écrivez dans cette section de commentaires pour que les autres lecteurs puissent également en lire davantage !

    Nous pouvons sûrement apprendre quelque chose de vous aussi.

    Et merci à Hai Le pour cette idée géniale !

    Bouton retour en haut de la page